<?php
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

class ObjectifcarboneControllerProfil extends ObjectifcarboneController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
		parent::__construct();

		// Register Extra tasks
		$this->registerTask( 'add'  , 	'edit' );
		$this->registerTask( 'unpublish', 	'publish');
	}

	/**
	 * display the edit form
	 * @return void
	 */
	function edit()
	{
		JRequest::setVar( 'view', 'profil' );
		JRequest::setVar( 'layout', 'default'  );
		JRequest::setVar('hidemainmenu', 1);

		parent::display();
	}

	/**
	 * save a record (and redirect to main page)
	 * @return void
	 */
	function save()
	{
		$model = $this->getModel('profil');

		if ($model->store($post)) {
			$msg = JText::_( 'Profil Saved!' );
		} else {
			$msg = JText::_( 'Error Saving Profil' );
		}

		// Check the table in so it can be edited.... we are done with it anyway

		$link = 'index.php?option=com_objectifcarbone';
		$this->setRedirect($link, $msg);
	}

	/**
	 * remove record(s)
	 * @return void
	 */
	function remove()
	{
		$model = $this->getModel('profil');
		if(!$model->delete()) {
			$msg = JText::_( 'Error: One or more Autos could not be Deleted' );
		} else {
			$msg = JText::_( 'Auto(s) Deleted' );
		}

		$this->setRedirect( 'index.php?option=com_objectifcarbone', $msg );
	}
	
	/**
	 * cancel editing a record
	 * @return void
	 */
	function cancel()
	{
		$msg = JText::_( 'Operation Cancelled' );
		$this->setRedirect( 'index.php?option=com_objectifcarbone', $msg );
	}
}
?>
